org.apache.catalina.deploy

## Class ContextResource

- java.lang.Object
- - org.apache.catalina.deploy.ResourceBase
  - - org.apache.catalina.deploy.ContextResource

All Implemented Interfaces:
  Serializable, Injectable

    public class ContextResource
    extends ResourceBase

Representation of a resource reference for a web application, as represented in a `<resource-ref>` element in the deployment descriptor.

Author:
  Craig R. McClanahan, Peter Rossbach (pero@apache.org)
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.catalina.deploy.ResourceBase

`resources`

### Constructor Summary

Constructors
Constructor and Description
`ContextResource()`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`String` `getAuth()`
`String` `getCloseMethod()`
`String` `getScope()`
`boolean` `getSingleton()`
`int` `hashCode()`
`void` `setAuth(String auth)`
`void` `setCloseMethod(String closeMethod)`
`void` `setScope(String scope)`
`void` `setSingleton(boolean singleton)`
`String` `toString()` Return a String representation of this object.

### Methods inherited from class org.apache.catalina.deploy.ResourceBase

`addInjectionTarget, getDescription, getInjectionTargets, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setName, setProperty, setType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContextResource

    public ContextResource()

### Method Detail

#### getAuth

    public String getAuth()

#### setAuth

    public void setAuth(String auth)

#### getScope

    public String getScope()

#### setScope

    public void setScope(String scope)

#### getSingleton

    public boolean getSingleton()

#### setSingleton

    public void setSingleton(boolean singleton)

#### getCloseMethod

    public String getCloseMethod()

#### setCloseMethod

    public void setCloseMethod(String closeMethod)

#### toString

    public String toString()

Return a String representation of this object.

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `ResourceBase`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `ResourceBase`